GET

Get Custom Attributes

Gets all custom attributes (also known as custom user fields) that have been defined for the account. For more info about defining custom user fields, see Custom User Fields.

Resource URL

Before calling this API, consider using its version /1 equivalent.

https://api.onelogin.com/api/v3/users/custom_attributes

Sample Response

<custom_attributes>
   <attribute type="string" label="Aliases" name="aliases" />
</custom_attributes>

Response Elements

ElementDescription

attribute

type: Always returns string. Indicates that custom attributes accept string type values.

name: Name value used to access the custom attribute via API. For example, custom_attribute_.

label: Field label value displayed for the custom attribute in the user interface.

Sample cURL Request

Be sure to replace placeholder values surrounded by { } with actual values.

curl -X GET https://api.onelogin.com/api/v3/users/custom_attributes \
-u {api_key}:x

Postman Collection

Run In Postman